> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openhands.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Reinstall Gitlab Webhook

> Reinstall GitLab webhook for a specific resource immediately.

This endpoint validates permissions, resets webhook status in the database,
and immediately installs the webhook on the specified resource.



## OpenAPI

````yaml /openapi/openhands-cloud.json post /integration/gitlab/reinstall-webhook
openapi: 3.1.0
info:
  title: OpenHands
  description: 'OpenHands: Code Less, Make More'
  version: 0.0.1
servers: []
security: []
paths:
  /integration/gitlab/reinstall-webhook:
    post:
      summary: Reinstall Gitlab Webhook
      description: >-
        Reinstall GitLab webhook for a specific resource immediately.


        This endpoint validates permissions, resets webhook status in the
        database,

        and immediately installs the webhook on the specified resource.
      operationId: reinstall_gitlab_webhook_integration_gitlab_reinstall_webhook_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReinstallWebhookRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResourceInstallationResult'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    ReinstallWebhookRequest:
      properties:
        resource:
          $ref: '#/components/schemas/ResourceIdentifier'
      type: object
      required:
        - resource
      title: ReinstallWebhookRequest
    ResourceInstallationResult:
      properties:
        resource_id:
          type: string
          title: Resource Id
        resource_type:
          type: string
          title: Resource Type
        success:
          type: boolean
          title: Success
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
      type: object
      required:
        - resource_id
        - resource_type
        - success
        - error
      title: ResourceInstallationResult
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ResourceIdentifier:
      properties:
        type:
          $ref: '#/components/schemas/GitLabResourceType'
        id:
          type: string
          title: Id
      type: object
      required:
        - type
        - id
      title: ResourceIdentifier
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    GitLabResourceType:
      type: string
      enum:
        - group
        - subgroup
        - project
      title: GitLabResourceType
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Access-Token

````